Loading...
Searching...
No Matches
Ogre::Bullet::CollisionWorld Class Reference
Optional Components » Bullet

simplified wrapper with automatic memory management More...

`#include <OgreBullet.h>`

Inheritance diagram for Ogre::Bullet::CollisionWorld:
[legend]

## Public Member Functions

| CollisionWorld (btCollisionWorld *btWorld)
virtual | ~CollisionWorld ()
btCollisionObject * | addCollisionObject (Entity *ent, ColliderType ct, int group=1, int mask=-1)
void | attachCollisionObject (btCollisionObject *collisionObject, Entity *ent, int group=1, int mask=-1)
void | rayTest (const Ray &ray, RayResultCallback *callback, float maxDist=1000)

## Detailed Description

simplified wrapper with automatic memory management

## Constructor & Destructor Documentation

## CollisionWorld()

Ogre::Bullet::CollisionWorld::CollisionWorld | ( | btCollisionWorld * | btWorld | ) |

inline

Referenced by Ogre::Bullet::DynamicsWorld::DynamicsWorld().

## ~CollisionWorld()

virtual Ogre::Bullet::CollisionWorld::~CollisionWorld | ( |  | ) |

virtual

## Member Function Documentation

## addCollisionObject()

btCollisionObject * Ogre::Bullet::CollisionWorld::addCollisionObject | ( | Entity * | ent,
|  | ColliderType | ct,
|  | int | group = 1,
|  | int | mask = -1 )

## rayTest()

void Ogre::Bullet::CollisionWorld::rayTest | ( | const Ray & | ray,
|  | RayResultCallback * | callback,
|  | float | maxDist = 1000 )

## attachCollisionObject()

void Ogre::Bullet::CollisionWorld::attachCollisionObject | ( | btCollisionObject * | collisionObject,
|  | Entity * | ent,
|  | int | group = 1,
|  | int | mask = -1 )

The documentation for this class was generated from the following file:

- OgreBullet.h